# ProtoBufResponseBuilder in actix_protobuf - Rust
API documentation for the Rust `ProtoBufResponseBuilder` trait in crate `actix_protobuf`.
Keywords: rust, rustlang, rust-lang, ProtoBufResponseBuilder

# Trait actix_protobuf::ProtoBufResponseBuilder

source · [−]

    pub trait ProtoBufResponseBuilder {
        fn protobuf<T: Message>(&mut self, value: T) -> Result<HttpResponse, Error>;
    }

## Required Methods

source

#### fn protobuf<T: Message>(&mut self, value: T) -> Result<HttpResponse, Error>

## Implementations on Foreign Types

source

### impl ProtoBufResponseBuilder for HttpResponseBuilder

source

#### fn protobuf<T: Message>(&mut self, value: T) -> Result<HttpResponse, Error>

## Implementors